## Towards a Unified Workflow 

### Problem:
* We analyze data in Stata or in R
* We write our papers in Word which is WYSIWYG
* We publish in the format of PDF, that is grossly outdated

### A Possible Workflow

* Write the text in Scrivener (Scrivener remains the glue)
* Write parts of the paper in Rmarkdown (Rmarkdown still needs improvement, the interface is still clunky and does not look nice for long, detailed writing. 
* Bring everything to Scrivener and compile from Markdown to LaTeX but do not accept their styles, leave that blank
* Add meta data as needed but always necessary
* Bring everything into Authorea
* From here, Authorea can work as a standalone publishing platform; I have generally seen that authorea works very well for LaTeX{} environment, but it is still not mature enough for writing everything in markdown. It does work well with simple markdown by the way, but not so well when integrated with Rmarkdown and knitr and the documents are pushed.

### Way to Work with Authorea

* Integrates nicely with github
* But the workflow has to be something like this:

1. First create a repository in Github
2. Second, start a document in Authorea
3. Third, link Authorea and Github
4. Use the Github repository as a "Project Folder" where Rmarkdown files, etc can be kept
5. This is the crucial step. Bring everything to Scrivener and poish and fine tune. Then compile everything to LaTeX{} and push to Authorea
6. Equations and codes are fine particularly in LaTeX{} mode but break if they are pushed to markdown mode
6. Images should be separately uploaded
7. If addiitonal documents are edited on the computer and then uploaded through github, these will need to be added manually to the layout.md file
8. 

## Markdown or LateX?

My recent experience of working with authorea tells me that it is rather easy to write either using \LaTeX{} or using markdown, doens't matter either way. But if I am going to write using Markdown and use git, it for some reason does not work. Using figures in \LaTeX{} also perhaps does not work, so figures have to be separately uploaded. I am interested to use Knitr but knitr and this medium with github for instance does not work well either. It's a disaster to easily transfer the knitr markdown and images directly here. So, the route is like this:

Get your data into R
Work with knitr weaving data and text and code in markdown
Depends how reproducible you want to be
If you are interested to use codes, use ```{r} but otherwise use with option echo = TRUE
Process and fine tune everything in Scrivener or in something like draft or stackedit if you want to work entirely online
Then push here
I think it's tad easy to use stackedit in that case rather than draft